#
# spec file for package perl-Cookie-Baker
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Cookie-Baker
Version:        0.09
Release:        lp150.1.1
%define cpan_name Cookie-Baker
Summary:        Cookie string generator / parser
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Cookie-Baker/
Source0:        https://cpan.metacpan.org/authors/id/K/KA/KAZEBURO/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Time)
BuildRequires:  perl(URI::Escape)
Requires:       perl(URI::Escape)
%{perl_requires}

%description
Cookie::Baker provides simple cookie string generator and parser.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes minil.toml README.md
%license LICENSE

%changelog
* Sun Mar  4 2018 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-Cookie-Baker/Changes
* Wed Jul 19 2017 coolo@suse.com
- updated to 0.08
  see /usr/share/doc/packages/perl-Cookie-Baker/Changes
  0.08 2017-07-18T03:36:55Z
  - Disallow , as a delimiter
  - accept max-age=0 #5 (Thank you skaji)
* Thu Sep 22 2016 coolo@suse.com
- updated to 0.07
  see /usr/share/doc/packages/perl-Cookie-Baker/Changes
  0.07 2016-09-21T01:35:56Z
  - Allow quoted cookie values, as per RFC 6265. #8
* Tue Jun 30 2015 coolo@suse.com
- updated to 0.06
  see /usr/share/doc/packages/perl-Cookie-Baker/Changes
  0.06 2015-06-29T05:53:57Z
  - fix compatibility issue. #4 (Thank you shogo82148)
* Tue Dec  2 2014 ncutler@suse.com
- update from 0.03 to 0.05 to bring in upstream changes:
  0.05 2014-11-26T05:49:50Z
  - fix bug. accepts expires => 0
  0.04 2014-11-25T02:36:43Z
  - requires perl-5.8.1
* Wed Jul 30 2014 ncutler@suse.com
- check license
- take maintainership
